Slot (rhino 1.7.15 API)

Package org.mozilla.javascript

## Class Slot

- java.lang.Object
- - org.mozilla.javascript.Slot

- All Implemented Interfaces:
    `java.io.Serializable`
  Direct Known Subclasses:
    `AccessorSlot`, `LambdaSlot`, `LazyLoadSlot`

      public class Slot
      extends java.lang.Object
      implements java.io.Serializable

  A Slot is the base class for all properties stored in the ScriptableObject class. There are a number of different types of slots. This base class represents an "ordinary" property such as a primitive type or another object. Separate classes are used to represent properties that have various types of getter and setter methods.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `Slot​(Slot oldSlot)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Object` | `getValue​(Scriptable start)` |
    `boolean` | `setValue​(java.lang.Object value, Scriptable owner, Scriptable start)` |
    `boolean` | `setValue​(java.lang.Object value, Scriptable owner, Scriptable start, boolean isThrow)` |
    `protected void` | `throwNoSetterException​(Scriptable start, java.lang.Object newValue)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Slot

          protected Slot​(Slot oldSlot)

  - ### Method Detail

    - #### setValue

          public final boolean setValue​(java.lang.Object value,
                                        Scriptable owner,
                                        Scriptable start)

    - #### setValue

          public boolean setValue​(java.lang.Object value,
                                  Scriptable owner,
                                  Scriptable start,
                                  boolean isThrow)

    - #### getValue

          public java.lang.Object getValue​(Scriptable start)

    - #### throwNoSetterException

          protected void throwNoSetterException​(Scriptable start,
                                                java.lang.Object newValue)